<?php

declare(strict_types=1);

namespace App\View\Component;

use Closure;
use Hyperf\ViewEngine\Component\Component;
use Hyperf\ViewEngine\Contract\ViewInterface;
use Hypervel\Support\Facades\View;

class DefaultNavigationBarContent extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct()
    {
        //
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): ViewInterface|Closure|string
    {
        return View::make('components.defaultNavigationBarContent');
    }
}
